Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class PopUp

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.AbleComponent
                  echopointng.PopUp

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Expandable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  BalloonHelp, DropDown

    public class PopUp

extends AbleComponent
implements Expandable

`PopUp` is a component that 'pops up' a floating box containing another component when its toggle image is clicked or moused over.

A `PopUp` has three main parts.

- Target Component - this optional component sits beside the Toggle image
- Box Component - this is shown when the the Toggle image is clicked or moused over
- Toggle Image - this is an 'button like' image that can cause the popup box to be shown

See Also:
  Serialized Form

Field Summary
`static Alignment` | `DEFAULT_ALIGNMENT` the default alignment is right/top
`static Style` | `DEFAULT_STYLE` This DEFAULT_STYLE is applied to the popup to give it a series of borders and background colors
`static ImageReference` | `DEFAULT_TOGGLE_ICON` The default image used as the toggle image
`static ImageReference` | `DEFAULT_TOGGLE_PRESSED_ICON`
`static ImageReference` | `DEFAULT_TOGGLE_ROLLOVER_ICON`
`static java.lang.String` | `PROPERTY_POPUP`
`static java.lang.String` | `PROPERTY_POPUP_ALIGNMENT`
`static java.lang.String` | `PROPERTY_POPUP_ALWAYS_ON_TOP`
`static java.lang.String` | `PROPERTY_POPUP_BACKGROUND`
`static java.lang.String` | `PROPERTY_POPUP_BORDER`
`static java.lang.String` | `PROPERTY_POPUP_INSETS`
`static java.lang.String` | `PROPERTY_POPUP_LEFT_OFFSET`
`static java.lang.String` | `PROPERTY_POPUP_NEXT_TO_TOGGLE`
`static java.lang.String` | `PROPERTY_POPUP_ON_ROLLOVER`
`static java.lang.String` | `PROPERTY_POPUP_OUTSETS`
`static java.lang.String` | `PROPERTY_POPUP_TOP_OFFSET`
`static java.lang.String` | `PROPERTY_ROLLOVER_BACKGROUND`
`static java.lang.String` | `PROPERTY_ROLLOVER_BORDER`
`static java.lang.String` | `PROPERTY_ROLLOVER_ENABLED`
`static java.lang.String` | `PROPERTY_TARGET`
`static java.lang.String` | `PROPERTY_TARGET_BACKGROUND`
`static java.lang.String` | `PROPERTY_TARGET_BORDER`
`static java.lang.String` | `PROPERTY_TARGET_INSETS`
`static java.lang.String` | `PROPERTY_TARGET_ROLLOVER_BACKGROUND`
`static java.lang.String` | `PROPERTY_TARGET_ROLLOVER_BORDER`
`static java.lang.String` | `PROPERTY_TOGGLE_BACKGROUND`
`static java.lang.String` | `PROPERTY_TOGGLE_BORDER`
`static java.lang.String` | `PROPERTY_TOGGLE_ICON`
`static java.lang.String` | `PROPERTY_TOGGLE_INSETS`
`static java.lang.String` | `PROPERTY_TOGGLE_PRESSED_BACKGROUND`
`static java.lang.String` | `PROPERTY_TOGGLE_PRESSED_BORDER`
`static java.lang.String` | `PROPERTY_TOGGLE_PRESSED_ENABLED`
`static java.lang.String` | `PROPERTY_TOGGLE_PRESSED_ICON`
`static java.lang.String` | `PROPERTY_TOGGLE_ROLLOVER_BACKGROUND`
`static java.lang.String` | `PROPERTY_TOGGLE_ROLLOVER_BORDER`
`static java.lang.String` | `PROPERTY_TOGGLE_ROLLOVER_ICON`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Expandable
`EXPANDED_CHANGED_PROPERTY, PROPERTY_EXPANSION_GROUP, PROPERTY_EXPANSION_MODEL`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`PopUp()` Constructs a `PopUp` with no target and no popup component in place
`PopUp(Component targetComponent, Component popUpComponent)` Constructs a `PopUp` with the specified target and popup component in place.

Method Summary
`ExpansionGroup` | `getExpansionGroup()`
`ExpansionModel` | `getExpansionModel()`
`Component` | `getPopUp()`
`Alignment` | `getPopUpAlignment()`
`boolean` | `getPopUpAlwaysOnTop()`
`Color` | `getPopUpBackground()`
`Border` | `getPopUpBorder()`
`Insets` | `getPopUpInsets()`
`int` | `getPopUpLeftOffset()`
`Insets` | `getPopUpOutsets()`
`int` | `getPopUpTopOffset()`
`Color` | `getRolloverBackground()` Returns the background color of the popup when the mouse cursor is inside its bounds.
`Border` | `getRolloverBorder()` Returns the border displayed around the popup when the mouse cursor is inside its bounds.
`Component` | `getTarget()`
`Color` | `getTargetBackground()` Returns the background color of the target area.
`Border` | `getTargetBorder()` Returns the border displayed around the target area.
`Insets` | `getTargetInsets()` Returns the insets displayed around the target area.
`Color` | `getTargetRolloverBackground()` Returns the background color of the target area when the mouse cursor is inside its bounds.
`Border` | `getTargetRolloverBorder()` Returns the border displayed around the target area when the mouse cursor is inside its bounds.
`Color` | `getToggleBackground()` Returns the background color of the toggle area.
`Border` | `getToggleBorder()` Returns the border displayed around the toggle area.
`ImageReference` | `getToggleIcon()` Returns the icon of the toggle.
`Insets` | `getToggleInsets()` Returns the Insets of the toggle area.
`Color` | `getTogglePressedBackground()` Returns the background color of the toggle when the toggle is pressed.
`Border` | `getTogglePressedBorder()` Returns the border displayed around the toggle when the toggle is pressed.
`ImageReference` | `getTogglePressedIcon()` Returns the icon of the toggle that is displayed when the toggle is pressed.
`Color` | `getToggleRolloverBackground()` Returns the background color of the toggle when the mouse cursor is inside its bounds.
`Border` | `getToggleRolloverBorder()` Returns the border displayed around the toggle when the mouse cursor is inside its bounds.
`ImageReference` | `getToggleRolloverIcon()` Returns the icon of the toggle that is displayed when the mouse cursor is inside its bounds.
`boolean` | `isExpanded()`
`boolean` | `isPopUpNextToToggle()`
`boolean` | `isPopUpOnRollover()`
`boolean` | `isRolloverEnabled()` Determines if rollover effects are enabled.
`boolean` | `isTogglePressedEnabled()` Determines if pressed effects are enabled.
`void` | `processInput(java.lang.String inputName, java.lang.Object inputValue)` Processes client input specific to the `Component` received from the `UpdateManager`.
`void` | `setExpanded(boolean isExpanded)` Sets whether the `Expandable` is expanded or not
`void` | `setExpansionGroup(ExpansionGroup newExpansionGroup)` Sets the `ExpansionGroup` used by the `Expandable`.
`void` | `setExpansionModel(ExpansionModel newValue)` Sets the `ExpansionModel` model used by the `Expandable`.
`void` | `setPopUp(Component newValue)` Sets the Component that is shown is the popup box when the toggle is pressed
`void` | `setPopUpAlignment(Alignment newValue)` Sets the alignment of the box around the popup component, with respect to either the target component or the toggle image.
`void` | `setPopUpAlwaysOnTop(boolean newValue)` The popUpAlwaysOnTop property can be used control how the popup box is drawn.
`void` | `setPopUpBackground(Color newValue)` Sets the background color of the box around the popup component.
`void` | `setPopUpBorder(Border newValue)` Sets the border of the box around the popup component.
`void` | `setPopUpInsets(Insets newValue)` Sets the insets inside the box around the popup component.
`void` | `setPopUpLeftOffset(int newValue)` Sets the left offset the box around the popup component.
`void` | `setPopUpNextToToggle(boolean newValue)` Sets to true if the popup box is aligned next to the toggle image or false if its aligned next to the target component.
`void` | `setPopUpOnRollover(boolean newValue)` Controls whether th popup box is shown when the mouse rolls over the toggle or false if a click is required to show the popup box.
`void` | `setPopUpOutsets(Insets newValue)` Sets the outer spacing of the box around the popup component.
`void` | `setPopUpTopOffset(int newValue)` Sets the top offset of the box around the popup component.
`void` | `setRolloverBackground(Color newValue)` Sets the background color of the popup when the mouse cursor is inside its bounds.
`void` | `setRolloverBorder(Border newValue)` Sets the border displayed around the popup when the mouse cursor is inside its bounds.
`void` | `setRolloverEnabled(boolean newValue)` Sets whether rollover effects are enabled when the mouse cursor is inside the popup's bounds.
`void` | `setTarget(Component newValue)` Sets the component that is shown beside the toggle
`void` | `setTargetBackground(Color newValue)` Sets the background color of the target area
`void` | `setTargetBorder(Border newValue)` Sets the border displayed around the target area.
`void` | `setTargetInsets(Insets newValue)` Sets the Insets displayed around the target area.
`void` | `setTargetRolloverBackground(Color newValue)` Sets the background color of the target area when the mouse cursor is inside its bounds.
`void` | `setTargetRolloverBorder(Border newValue)` Sets the border displayed around the target area when the mouse cursor is inside its bounds.
`void` | `setToggleBackground(Color newValue)` Sets the background color of the toggle
`void` | `setToggleBorder(Border newValue)` Sets the border displayed around the toggle.
`void` | `setToggleIcon(ImageReference newValue)` Sets the icon of the toggle.
`void` | `setToggleInsets(Insets newValue)` Sets the insets of the toggle area.
`void` | `setTogglePressedBackground(Color newValue)` Sets the background color of the toggle when the toggle is pressed.
`void` | `setTogglePressedBorder(Border newValue)` Sets the border displayed around the toggle when the toggle is pressed.
`void` | `setTogglePressedEnabled(boolean newValue)` Sets whether pressed effects are enabled when the toggle is pressed.
`void` | `setTogglePressedIcon(ImageReference newValue)` Sets the icon of the toggle that is displayed when the toggle is pressed.
`void` | `setToggleRolloverBackground(Color newValue)` Sets the background color of the toggle when the mouse cursor is inside its bounds.
`void` | `setToggleRolloverBorder(Border newValue)` Sets the border displayed around the toggle when the mouse cursor is inside its bounds.
`void` | `setToggleRolloverIcon(ImageReference newValue)` Sets the icon of the toggle that is displayed when the mouse cursor is inside its bounds.
`void` | `validate()` A life-cycle method invoked before the component is rendered to ensure it is in a valid state.

Methods inherited from class echopointng.AbleComponent
`getAccessKey, getBorder, getHeight, getInsets, getMouseCursor, getMouseCursorURI, getOutsets, getToolTipText, getWidth, setAccessKey, setBorder, setHeight, setInsets, setMouseCursor, setMouseCursorURI, setOutsets, setToolTipText, setWidth`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### DEFAULT_ALIGNMENT

    public static final Alignment DEFAULT_ALIGNMENT

  the default alignment is right/top

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

  This DEFAULT_STYLE is applied to the popup to give it a series of borders and background colors

### DEFAULT_TOGGLE_ICON

    public static final ImageReference DEFAULT_TOGGLE_ICON

  The default image used as the toggle image

### DEFAULT_TOGGLE_ROLLOVER_ICON

    public static final ImageReference DEFAULT_TOGGLE_ROLLOVER_ICON

### DEFAULT_TOGGLE_PRESSED_ICON

    public static final ImageReference DEFAULT_TOGGLE_PRESSED_ICON

### PROPERTY_POPUP

    public static final java.lang.String PROPERTY_POPUP

See Also:
  Constant Field Values

### PROPERTY_POPUP_ALIGNMENT

    public static final java.lang.String PROPERTY_POPUP_ALIGNMENT

See Also:
  Constant Field Values

### PROPERTY_POPUP_ALWAYS_ON_TOP

    public static final java.lang.String PROPERTY_POPUP_ALWAYS_ON_TOP

See Also:
  Constant Field Values

### PROPERTY_POPUP_BACKGROUND

    public static final java.lang.String PROPERTY_POPUP_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_POPUP_BORDER

    public static final java.lang.String PROPERTY_POPUP_BORDER

See Also:
  Constant Field Values

### PROPERTY_POPUP_INSETS

    public static final java.lang.String PROPERTY_POPUP_INSETS

See Also:
  Constant Field Values

### PROPERTY_POPUP_LEFT_OFFSET

    public static final java.lang.String PROPERTY_POPUP_LEFT_OFFSET

See Also:
  Constant Field Values

### PROPERTY_POPUP_NEXT_TO_TOGGLE

    public static final java.lang.String PROPERTY_POPUP_NEXT_TO_TOGGLE

See Also:
  Constant Field Values

### PROPERTY_POPUP_ON_ROLLOVER

    public static final java.lang.String PROPERTY_POPUP_ON_ROLLOVER

See Also:
  Constant Field Values

### PROPERTY_POPUP_OUTSETS

    public static final java.lang.String PROPERTY_POPUP_OUTSETS

See Also:
  Constant Field Values

### PROPERTY_POPUP_TOP_OFFSET

    public static final java.lang.String PROPERTY_POPUP_TOP_OFFSET

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_BACKGROUND

    public static final java.lang.String PROPERTY_ROLLOVER_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_BORDER

    public static final java.lang.String PROPERTY_ROLLOVER_BORDER

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_ENABLED

    public static final java.lang.String PROPERTY_ROLLOVER_ENABLED

See Also:
  Constant Field Values

### PROPERTY_TARGET

    public static final java.lang.String PROPERTY_TARGET

See Also:
  Constant Field Values

### PROPERTY_TARGET_BACKGROUND

    public static final java.lang.String PROPERTY_TARGET_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_TARGET_BORDER

    public static final java.lang.String PROPERTY_TARGET_BORDER

See Also:
  Constant Field Values

### PROPERTY_TARGET_INSETS

    public static final java.lang.String PROPERTY_TARGET_INSETS

See Also:
  Constant Field Values

### PROPERTY_TARGET_ROLLOVER_BACKGROUND

    public static final java.lang.String PROPERTY_TARGET_ROLLOVER_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_TARGET_ROLLOVER_BORDER

    public static final java.lang.String PROPERTY_TARGET_ROLLOVER_BORDER

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_BACKGROUND

    public static final java.lang.String PROPERTY_TOGGLE_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_BORDER

    public static final java.lang.String PROPERTY_TOGGLE_BORDER

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_ICON

    public static final java.lang.String PROPERTY_TOGGLE_ICON

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_INSETS

    public static final java.lang.String PROPERTY_TOGGLE_INSETS

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_PRESSED_BACKGROUND

    public static final java.lang.String PROPERTY_TOGGLE_PRESSED_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_PRESSED_BORDER

    public static final java.lang.String PROPERTY_TOGGLE_PRESSED_BORDER

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_PRESSED_ENABLED

    public static final java.lang.String PROPERTY_TOGGLE_PRESSED_ENABLED

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_PRESSED_ICON

    public static final java.lang.String PROPERTY_TOGGLE_PRESSED_ICON

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_ROLLOVER_BACKGROUND

    public static final java.lang.String PROPERTY_TOGGLE_ROLLOVER_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_ROLLOVER_BORDER

    public static final java.lang.String PROPERTY_TOGGLE_ROLLOVER_BORDER

See Also:
  Constant Field Values

### PROPERTY_TOGGLE_ROLLOVER_ICON

    public static final java.lang.String PROPERTY_TOGGLE_ROLLOVER_ICON

See Also:
  Constant Field Values

Constructor Detail

### PopUp

    public PopUp()

  Constructs a `PopUp` with no target and no popup component in place

### PopUp

    public PopUp(Component targetComponent,
                 Component popUpComponent)

  Constructs a `PopUp` with the specified target and popup component in place.

Method Detail

### getExpansionGroup

    public ExpansionGroup getExpansionGroup()

  Specified by:
    `getExpansionGroup` in interface `Expandable`
  Returns:
    the `ExpansionGroup` of the `Expandable`.
  See Also:
    `Expandable.getExpansionGroup()`

### getExpansionModel

    public ExpansionModel getExpansionModel()

  Specified by:
    `getExpansionModel` in interface `Expandable`
  Returns:
    the `ExpansionModel` model of the `Expandable`.
  See Also:
    `Expandable.getExpansionModel()`

### getPopUp

    public Component getPopUp()

  Returns:
    the Component that is shown in the popup box when the toggle is pressed

### getPopUpAlignment

    public Alignment getPopUpAlignment()

  Returns:
    the Alignment of the box around the popup component, with respect to the target component or toggle

### getPopUpAlwaysOnTop

    public boolean getPopUpAlwaysOnTop()

  Returns:
    whether the popup box is always on top
  See Also:
    `setPopUpAlwaysOnTop(boolean)`

### getPopUpBackground

    public Color getPopUpBackground()

  Returns:
    the background color of the box around the popup component

### getPopUpBorder

    public Border getPopUpBorder()

  Returns:
    the border of the box around the popup component

### getPopUpInsets

    public Insets getPopUpInsets()

  Returns:
    the inner padding of the box around the popup component

### getPopUpLeftOffset

    public int getPopUpLeftOffset()

  Returns:
    the left offset of the box around the popup component

### getPopUpOutsets

    public Insets getPopUpOutsets()

  Returns:
    the outer padding of the box around the popup component

### getPopUpTopOffset

    public int getPopUpTopOffset()

  Returns:
    the top offset of the box around the popup component

### getRolloverBackground

    public Color getRolloverBackground()

  Returns the background color of the popup when the mouse cursor is inside its bounds.

  Returns:
    the color

### getRolloverBorder

    public Border getRolloverBorder()

  Returns the border displayed around the popup when the mouse cursor is inside its bounds.

  Returns:
    the border

### getTarget

    public Component getTarget()

  Returns:
    the Component that is shown beside the toggle icon.

### getTargetBackground

    public Color getTargetBackground()

  Returns the background color of the target area.

  Returns:
    the color

### getTargetBorder

    public Border getTargetBorder()

  Returns the border displayed around the target area.

  Returns:
    the border

### getTargetInsets

    public Insets getTargetInsets()

  Returns the insets displayed around the target area.

  Returns:
    the insets

### getTargetRolloverBackground

    public Color getTargetRolloverBackground()

  Returns the background color of the target area when the mouse cursor is inside its bounds.

  Returns:
    the color

### getTargetRolloverBorder

    public Border getTargetRolloverBorder()

  Returns the border displayed around the target area when the mouse cursor is inside its bounds.

  Returns:
    the border

### getToggleBackground

    public Color getToggleBackground()

  Returns the background color of the toggle area.

  Returns:
    the color

### getToggleBorder

    public Border getToggleBorder()

  Returns the border displayed around the toggle area.

  Returns:
    the border

### getToggleIcon

    public ImageReference getToggleIcon()

  Returns the icon of the toggle.

  Returns:
    the icon

### getToggleInsets

    public Insets getToggleInsets()

  Returns the Insets of the toggle area.

  Returns:
    the insets

### getTogglePressedBackground

    public Color getTogglePressedBackground()

  Returns the background color of the toggle when the toggle is pressed.

  Returns:
    the color

### getTogglePressedBorder

    public Border getTogglePressedBorder()

  Returns the border displayed around the toggle when the toggle is pressed.

  Returns:
    the border

### getTogglePressedIcon

    public ImageReference getTogglePressedIcon()

  Returns the icon of the toggle that is displayed when the toggle is pressed.

  Returns:
    the icon

### getToggleRolloverBackground

    public Color getToggleRolloverBackground()

  Returns the background color of the toggle when the mouse cursor is inside its bounds.

  Returns:
    the color

### getToggleRolloverBorder

    public Border getToggleRolloverBorder()

  Returns the border displayed around the toggle when the mouse cursor is inside its bounds.

  Returns:
    the border

### getToggleRolloverIcon

    public ImageReference getToggleRolloverIcon()

  Returns the icon of the toggle that is displayed when the mouse cursor is inside its bounds.

  Returns:
    the icon

### isExpanded

    public boolean isExpanded()

  Specified by:
    `isExpanded` in interface `Expandable`
  Returns:
    whether `Expandable` is expanded or not
  See Also:
    `Expandable.isExpanded()`

### isPopUpNextToToggle

    public boolean isPopUpNextToToggle()

  Returns:
    true if the popup box is aligned next to the toggle image or false if its aligned next to the target component

### isPopUpOnRollover

    public boolean isPopUpOnRollover()

  Returns:
    true if the popup box should shown if the mouse rolls over the toggle

### isRolloverEnabled

    public boolean isRolloverEnabled()

  Determines if rollover effects are enabled.

  Returns:
    true if rollover effects are enabled
  See Also:
    `setRolloverEnabled(boolean)`

### isTogglePressedEnabled

    public boolean isTogglePressedEnabled()

  Determines if pressed effects are enabled.

  Returns:
    true if pressed effects are enabled

### processInput

    public void processInput(java.lang.String inputName,
                             java.lang.Object inputValue)

  Description copied from class: `Component`
  Processes client input specific to the `Component` received from the `UpdateManager`. Derivative implementations should take care to invoke `super.processInput()`.

  Overrides:
    `processInput` in class `Component`
  Parameters:
    `inputName` - the name of the input
    `inputValue` - the value of the input
  See Also:
    `Component.processInput(java.lang.String, java.lang.Object)`

### setExpanded

    public void setExpanded(boolean isExpanded)

  Description copied from interface: `Expandable`
  Sets whether the `Expandable` is expanded or not

  Specified by:
    `setExpanded` in interface `Expandable`
  See Also:
    `Expandable.setExpanded(boolean)`

### setExpansionGroup

    public void setExpansionGroup(ExpansionGroup newExpansionGroup)

  Description copied from interface: `Expandable`
  Sets the `ExpansionGroup` used by the `Expandable`.

  Specified by:
    `setExpansionGroup` in interface `Expandable`
  See Also:
    `Expandable.setExpansionGroup(echopointng.model.ExpansionGroup)`

### setExpansionModel

    public void setExpansionModel(ExpansionModel newValue)

  Description copied from interface: `Expandable`
  Sets the `ExpansionModel` model used by the `Expandable`.

  Specified by:
    `setExpansionModel` in interface `Expandable`
  See Also:
    `Expandable.setExpansionModel(echopointng.model.ExpansionModel)`

### setPopUp

    public void setPopUp(Component newValue)

  Sets the Component that is shown is the popup box when the toggle is pressed

### setPopUpAlignment

    public void setPopUpAlignment(Alignment newValue)

  Sets the alignment of the box around the popup component, with respect to either the target component or the toggle image. The horizontal alignment setting may be one of the following values:
  - `LEFT`- the "left edge" of popup box is shown next to the "left edge" of the popup
  - `CENTER`- the popup box is centered horizontally over the center of the popup
  - `RIGHT`- the "left edge" of popup box is shown to next the "right edge" of the popup
  The vertical alignment setting can be one of the following values:
  - `TOP`- the "bottom edge" of the popup box is shown next to the "top edge" of the popup
  - `CENTER`- the popup box is centered vertically over the center of the popup
  - `BOTTOM`- the "top edge" of the popup box is shown next to the "bottom edge" of the popup

  Parameters:
    `newValue` - - the new alignment for the popup. If this is null, then default values will be used for alignment

### setPopUpAlwaysOnTop

    public void setPopUpAlwaysOnTop(boolean newValue)

  The popUpAlwaysOnTop property can be used control how the popup box is drawn.

  If this is true, then the popup box with always take the highest position on the screen and will disregard parent clipping and scrolling constraints.

  If this is false, then the normal client clipping and scrollling constraints will apply. This can cause the popup box to be shown under other components according to the current hierarchy.

  Parameters:
    `newValue` - - the new popUpAlwaysOnTop value

### setPopUpBackground

    public void setPopUpBackground(Color newValue)

  Sets the background color of the box around the popup component.

  Parameters:
    `newValue` -

### setPopUpBorder

    public void setPopUpBorder(Border newValue)

  Sets the border of the box around the popup component.

  Parameters:
    `newValue` -

### setPopUpInsets

    public void setPopUpInsets(Insets newValue)

  Sets the insets inside the box around the popup component.

  Parameters:
    `newValue` -

### setPopUpLeftOffset

    public void setPopUpLeftOffset(int newValue)

  Sets the left offset the box around the popup component.

  Parameters:
    `newValue` -

### setPopUpNextToToggle

    public void setPopUpNextToToggle(boolean newValue)

  Sets to true if the popup box is aligned next to the toggle image or false if its aligned next to the target component.

  The popup alignment and offsets are related the area the poup box is next to.

  Parameters:
    `newValue` - - the new value

### setPopUpOnRollover

    public void setPopUpOnRollover(boolean newValue)

  Controls whether th popup box is shown when the mouse rolls over the toggle or false if a click is required to show the popup box.

  Parameters:
    `newValue` - - true if the mouse rollover will cause the popup box to be shown

### setPopUpOutsets

    public void setPopUpOutsets(Insets newValue)

  Sets the outer spacing of the box around the popup component.

  Parameters:
    `newValue` -

### setPopUpTopOffset

    public void setPopUpTopOffset(int newValue)

  Sets the top offset of the box around the popup component.

  Parameters:
    `newValue` -

### setRolloverBackground

    public void setRolloverBackground(Color newValue)

  Sets the background color of the popup when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new `Color`

### setRolloverBorder

    public void setRolloverBorder(Border newValue)

  Sets the border displayed around the popup when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new border

### setRolloverEnabled

    public void setRolloverEnabled(boolean newValue)

  Sets whether rollover effects are enabled when the mouse cursor is inside the popup's bounds. Rollover properties have no effect unless this property is set to true. The default value is false.

  Parameters:
    `newValue` - true if rollover effects should be enabled

### setTarget

    public void setTarget(Component newValue)

  Sets the component that is shown beside the toggle

### setTargetBackground

    public void setTargetBackground(Color newValue)

  Sets the background color of the target area

  Parameters:
    `newValue` - the new `Color`

### setTargetBorder

    public void setTargetBorder(Border newValue)

  Sets the border displayed around the target area.

  Parameters:
    `newValue` - the new border

### setTargetInsets

    public void setTargetInsets(Insets newValue)

  Sets the Insets displayed around the target area.

  Parameters:
    `newValue` - the new Insets

### setTargetRolloverBackground

    public void setTargetRolloverBackground(Color newValue)

  Sets the background color of the target area when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new `Color`

### setTargetRolloverBorder

    public void setTargetRolloverBorder(Border newValue)

  Sets the border displayed around the target area when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new border

### setToggleBackground

    public void setToggleBackground(Color newValue)

  Sets the background color of the toggle

  Parameters:
    `newValue` - the new `Color`

### setToggleBorder

    public void setToggleBorder(Border newValue)

  Sets the border displayed around the toggle.

  Parameters:
    `newValue` - the new border

### setToggleIcon

    public void setToggleIcon(ImageReference newValue)

  Sets the icon of the toggle.

  Parameters:
    `newValue` - the new icon

### setToggleInsets

    public void setToggleInsets(Insets newValue)

  Sets the insets of the toggle area.

  Parameters:
    `newValue` - the new icon

### setTogglePressedBackground

    public void setTogglePressedBackground(Color newValue)

  Sets the background color of the toggle when the toggle is pressed.

  Parameters:
    `newValue` - the new `Color`

### setTogglePressedBorder

    public void setTogglePressedBorder(Border newValue)

  Sets the border displayed around the toggle when the toggle is pressed.

  Parameters:
    `newValue` - the new border

### setTogglePressedEnabled

    public void setTogglePressedEnabled(boolean newValue)

  Sets whether pressed effects are enabled when the toggle is pressed. Pressed properties have no effect unless this property is set to true. The default value is false.

  Parameters:
    `newValue` - true if pressed effects should be enabled

### setTogglePressedIcon

    public void setTogglePressedIcon(ImageReference newValue)

  Sets the icon of the toggle that is displayed when the toggle is pressed.

  Parameters:
    `newValue` - the new icon

### setToggleRolloverBackground

    public void setToggleRolloverBackground(Color newValue)

  Sets the background color of the toggle when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new `Color`

### setToggleRolloverBorder

    public void setToggleRolloverBorder(Border newValue)

  Sets the border displayed around the toggle when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new border

### setToggleRolloverIcon

    public void setToggleRolloverIcon(ImageReference newValue)

  Sets the icon of the toggle that is displayed when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new icon

### validate

    public void validate()

  Description copied from class: `Component`
  A life-cycle method invoked before the component is rendered to ensure it is in a valid state. Default implementation is empty. Overriding implementations should ensure to invoke `super.validate()` out of convention.

  Overrides:
    `validate` in class `Component`
  See Also:
    `Component.validate()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD